<!--- This file is autogenerated. Do not edit manually! -->
# <code>[pixi](../pixi.md) list</code>

## About
List workspace's packages

--8<-- "docs/reference/cli/pixi/list_extender:description"

## Usage
```
pixi list [OPTIONS] [REGEX]
```

## Arguments
- <a id="arg-<REGEX>" href="#arg-<REGEX>">`<REGEX>`</a>
:  List only packages matching a regular expression

## Options
- <a id="arg---platform" href="#arg---platform">`--platform <PLATFORM>`</a>
:  The platform to list packages for. Defaults to the current platform
- <a id="arg---json" href="#arg---json">`--json`</a>
:  Whether to output in json format
- <a id="arg---json-pretty" href="#arg---json-pretty">`--json-pretty`</a>
:  Whether to output in pretty json format
- <a id="arg---sort-by" href="#arg---sort-by">`--sort-by <SORT_BY>`</a>
:  Sorting strategy
<br>**default**: `name`
<br>**options**: `size`, `name`, `kind`
- <a id="arg---environment" href="#arg---environment">`--environment (-e) <ENVIRONMENT>`</a>
:  The environment to list packages for. Defaults to the default environment
- <a id="arg---explicit" href="#arg---explicit">`--explicit (-x)`</a>
:  Only list packages that are explicitly defined in the workspace

## Update Options
- <a id="arg---no-lockfile-update" href="#arg---no-lockfile-update">`--no-lockfile-update`</a>
:  Don't update lockfile, implies the no-install as well
- <a id="arg---frozen" href="#arg---frozen">`--frozen`</a>
:  Install the environment as defined in the lockfile, doesn't update lockfile if it isn't up-to-date with the manifest file
<br>**env**: `PIXI_FROZEN`
- <a id="arg---locked" href="#arg---locked">`--locked`</a>
:  Check if lockfile is up-to-date before installing the environment, aborts when lockfile isn't up-to-date with the manifest file
<br>**env**: `PIXI_LOCKED`

## Global Options
- <a id="arg---manifest-path" href="#arg---manifest-path">`--manifest-path <MANIFEST_PATH>`</a>
:  The path to `pixi.toml`, `pyproject.toml`, or the workspace directory

## Description
List workspace's packages.

Highlighted packages are explicit dependencies.


--8<-- "docs/reference/cli/pixi/list_extender:example"
